Bug 217050 - Go to file with line number
Go to file with line number
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Jump To
7.2
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: Tomas Zezula
issues@utilities
:
Depends on: 217304
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 23:19 UTC by markiewb
Modified: 2012-09-07 02:11 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Contributed patch based on main (7.59 KB, patch)
2012-08-17 23:26 UTC, markiewb
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-08-17 23:19:22 UTC
Enhance the goto file dialog to support line numbers.

Use the postfix ':linenumber'

For example:
* search for 'My*Object.java:123' -> MyDummyClassObject.java will be found and shown in the listbox
* opening the file MyDummyClassObject.java from the listbox will open the file at the given line number 123
Comment 1 markiewb 2012-08-17 23:26:30 UTC
Created attachment 123274 [details]
Contributed patch based on main

Proposed patch for this feature.
Comment 2 Tomas Zezula 2012-08-23 13:18:06 UTC
I've extended the SPI for plugins, submitted an API change request.
Comment 3 Tomas Zezula 2012-09-05 07:13:50 UTC
Fixed jet-main 1b5cfdcd1598
Comment 4 Quality Engineering 2012-09-07 02:11:03 UTC
Integrated into 'main-golden', will be available in build *201209070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1b5cfdcd1598
User: Tomas Zezula <tzezula@netbeans.org>
Log: #217050:Go to file with line number


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo